Subject: Re: bug#33847: 27.0.50; emacsclient does not find server socket

From: Lars Ingebrigtsen <[email-masked]>
Date: Fri, 23 Jul 2021 13:31:35 +0200

Eli Zaretskii <[email-masked]> writes:

>> +#include <acl.h>  <<<<<<<<<<<<<<<<<<<<<<<<<<<
>>  #include <filename.h>
>>  #include <intprops.h>
>>  #include <min-max.h>
>
> We cannot unconditionally include acl.h on MS-Windows, so this has to
> be #ifdef'ed away.

>> +#ifndef O_PATH
>> +# define O_PATH O_SEARCH <<<<<<<<<<<<<<<<<<<<<<<<<
>> +#endif
>
> This is probably harmless, but I'd like to #ifdef it away as well.

OK; I've now adjusted the patch with those two things...

> The only other worry is whether we indeed have ways to test this
> thoroughly enough on Posix systems.

... and that is indeed the major problem here -- this is an area where
it's very difficult to test all the use cases, and Emacs behaves
differently here on different systems.

I think the only realistic way to get some testing here is to just push
it to the trunk and see whether people report issues, unfortunately.
(The patch works fine on this Debian system, at least, and Ulrich
reports the same, so we have at least two systems it works on.  :-))

So I'll push the patch and we'll see whether there's any fall-out...

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no